{% extends "base.html" %}

{% block title %}{{ sample.SampleId }} Report{% endblock %}

{% block content %}
<div class="report-section first">
    <p>Report generated at {{ date }}<br />
        Seqstant Customer ID: {{ customer.ShortName }}</p>
</div>
<div class="report-section">
    {% if run.Progress|int < 6 -%}
    <h1 class="mt-3">Intermediate Report ({{ run.Progress|int }} / 6)</h1>
    {% else -%}
    <h1 class="mt-3">Final Report</h1>
    {% endif %}
    <p class="mt-3"><strong>Sample ID<br />{{ sample.SampleId }}</strong></p>
    <p class="mt-3">Sample was analyzed in sequencing run <strong>{{ run.RunName }}</strong> with the LiveGene Adapter <strong>ID {{ sample.AdapterId }}</strong>.</p>
    {% if results|length is gt 0 %}
        {% if results.PathId.results|length is gt 0 or results.Resist.results|length is gt 0 %}
     <p class="mt-2">The overall sample quality was {{ sample.SampleQuality|lower }} and the overall run quality was {{ run.RunQuality|lower }}.</p>
        {% endif %}
{% endif %}
</div>
{% if results.PathId is defined %}
    {% if results.PathId.results|length is gt 0 %}
    <div class="report-section">
        <p class="mt-5">LiveGene {{ results.PathId.name }} results:</p>
        <table class="report-result-table">
            <thead>
                <tr>
                    <th>Organism</th>
                    <th>Evidence</th>
                </tr>
            </thead>
            <tbody>
                {%- for item in results.PathId.results %}
                <tr>
                    <td width="45%">{{ item.organism }}</td>
                    <td>{{ item.evidence }}</td>
                </tr>
                {%- endfor %}
            </tbody>
        </table>
    </div>
    {% else -%}
    <div class="report-section">
        <p class="mt-5">LiveGene {{ results.PathId.name }} did not detect any organisms.</p>
    </div>
    {% endif %}
{% endif %}
{% if results.Resist is defined %}
    {% if results.Resist.results|length is gt 0 %}
    <div class="report-section">
        <p class="mt-5">LiveGene {{ results.Resist.name }} results (for research use only):</p>
        <table class="report-result-table">
            <thead>
            <tr>
                <th>Organism</th>
                <th>Resistance Genes</th>
            </tr>
            </thead>
            <tbody>
            {%- for item in results.Resist.results %}
            <tr>
                <td width="45%">{{ item.organism }}</td>
                <td>{{ item.resistancy }}</td>
            </tr>
            {%- endfor %}
            </tbody>
        </table>
    </div>
    {% else -%}
    <div class="report-section">
        <p class="mt-5">LiveGene {{ results.Resist.name }} did not detect any resistance genes.</p>
    </div>
    {% endif %}
{% endif %}
<div class="report-section last">
    {% if results|length is gt 0 %}
        {% if results.PathId.results|length is gt 0 or results.Resist.results|length is gt 0 %}
            <div class="report-footer">
                <p class="mt-1">Evidence levels: 4 - highest evidence, 3 - high evidence, 2 - intermediate evidence, 1 - low evidence.</p>
                <p class="mt-1">Quality scores can be "excellent", "moderate" or "bad".</p>
                </div>
            <p class="mt-5">Analysis was run with LiveGene software suite v{{ run.SoftwareVersion }}.{{ run.SoftwareSubversion }}.{{ run.SoftwareSubsubversion }}. The report is valid without signature.</p>
        {% endif %}
    {% else -%}
    <p class="mt-2"> There are no results for this sample (yet).</p>
    {% endif %}
</div>
{% endblock %}